View Issue Details

IDProjectCategoryView StatusLast Update
0000006ScribusUser Interfacepublic2005-03-20 19:55
Reportercbradney Assigned Tofschmid  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3.0cvs 
Summary0000006: Ability to show some sort of indicator to show how a textframe chain flows
DescriptionCould have some sort of line from bottom-right of frame N to top left of frame (N+1) in text chain.
TagsNo tags attached.
Patch

Activities

cbradney

2004-01-06 17:26

administrator   ~0000138

Also requested by Sebastian Röder on the mailing list.

Would like to have an indicator on what text frames are linked frames.

ringerc

2004-10-09 10:08

reporter   ~0002672

As well as lines, it might be nice to be able to show the linking as a text code, perhaps only shown when an option like "Show frame links" is shown. For example, the next frame might be shown at the bottom right, the prev frame at the top left, and the current frame in the centre. I've attached a rough mockup of the general idea.

I think this approach might be useful when linking between documents is common or documents are linked in complex ways. The previous and next link codes could be clickable to jump to that frame, making navigation along a linked series easier.

I've used codes like 'A1' etc in the example (assuming that Scribus would automatically use 'A','B','C' etc for different linked series). It might make sense to use the identifier of the first text frame instead - not sure.

Another possibility might be to be able to pick up an empty "next link" box and drag it to the frame you want to link to.

I'm not sure if this is a good idea yet, but I thought I'd put it out there and see in case it's useful.

2004-10-09 10:09

 

showlinks.png (124,751 bytes)
showlinks.png (124,751 bytes)

Issue History

Date Modified Username Field Change
2003-11-19 16:22 cbradney New Issue
2003-11-19 16:30 cbradney Summary Ability to show some sort of indicator to show how a textfram chain flows => Ability to show some sort of indicator to show how a textframe chain flows
2004-01-06 17:26 cbradney Note Added: 0000138
2004-04-09 00:44 cbradney Category General => User Interface
2004-09-23 23:01 cbradney Product Version => 1.3
2004-10-09 10:08 ringerc Note Added: 0002672
2004-10-09 10:09 ringerc File Added: showlinks.png
2005-01-15 10:00 fschmid Status new => resolved
2005-01-15 10:00 fschmid Fixed in Version => 1.3.0cvs
2005-01-15 10:00 fschmid Resolution open => fixed
2005-01-15 10:00 fschmid Assigned To => fschmid
2005-03-20 19:55 cbradney Status resolved => closed